<?php
/**
 * ownCloud - ocsms
 *
 * This file is licensed under the Affero General Public License version 3 or
 * later. See the COPYING file.
 *
 * @author Loic Blot <loic.blot@unix-experience.fr>
 * @copyright Loic Blot 2014
 */

namespace OCA\OcSms\Db;

use \OCP\IDb;

use \OCP\AppFramework\Db\Mapper;

class SmsMapper extends Mapper {
	public function __construct(IDb $db) {
		parent::__construct($db, 'ocsms_smsdatas');
	}

	// @TODO
	public function saveAll($userId, $smsList) {
		foreach ($smsList as $sms) {
			$smsFlags = sprintf("%s%s%s",
				$sms["read"] === "true" ? "1" : "0",
				$sms["seen"] === "true" ? "1" : "0",
				$sms["draft"] === "true" ? "1" : "0"
			);

			$query = \OC_DB::prepare('INSERT INTO *PREFIX*ocsms_smsdatas ' .
			'(user_id, added, lastmodified, sms_flags, sms_date, sms_id,' .
			'sms_address, sms_msg) VALUES ' .
			'(?,?,?,?,?,?,?,?)');
			$result = $query->execute(array(
				$userId, "NOW()", "NOW()", $smsFlags,
				(int) $sms["date"], (int) $sms["id"],
				$sms["address"], $sms["body"]
			));
		}
	}

    public function find($id) {
        $sql = 'SELECT * FROM `*PREFIX*ocsms_smsdatas` ' .
            'WHERE `id` = ?';
        $query = $db->prepareQuery($sql);
        $query->bindParam(1, $id, \PDO::PARAM_INT);
        $result = $query->execute();

        while($row = $result->fetchRow()) {
            return $row;
        }
    }
}

?>
